"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BalanceList = void 0;
const react_1 = __importDefault(require("react"));
const core_1 = require("@material-ui/core");
const BalanceList_style_1 = require("../../components/BalanceList/BalanceList.style");
const constants_1 = require("../../constants");
const BalanceList = (props) => {
    const { balances, viewUtils, noBorder } = props;
    const classes = BalanceList_style_1.useStyles();
    return (react_1.default.createElement(core_1.Box, { className: `${classes.container} ${noBorder ? "" : classes.itemBorder}` }, balances === null || balances === void 0 ? void 0 : balances.map((balance, index) => (react_1.default.createElement(core_1.Box, { key: index, className: `${classes.itemWrapper} ${noBorder
            ? index === balances.length - 1
                ? ""
                : classes.itemBorderBottom
            : classes.itemBorder}` },
        react_1.default.createElement("img", { className: classes.tokenLogo, src: index === 0
                ? "https://res.cloudinary.com/dqueufbs7/image/upload/v1614369421/images/Screen_Shot_2021-02-26_at_22.56.34.png"
                : "https://res.cloudinary.com/dqueufbs7/image/upload/v1614373316/images/Screen_Shot_2021-02-27_at_00.01.31.png" }),
        react_1.default.createElement(core_1.Box, { className: classes.tokenAmount }, viewUtils.fromBigNumberEther(balance.freeAmount)),
        react_1.default.createElement(core_1.Box, { className: classes.tokenName }, balance.assetAddress === constants_1.ETHER_HEX_ADDRESS ? "ETH" : "MINT"))))));
};
exports.BalanceList = BalanceList;
//# sourceMappingURL=BalanceList.js.map