"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
const react_1 = __importDefault(require("react"));
const core_1 = require("@material-ui/core");
const Button_style_1 = require("../../components/Button/Button.style");
const Button = (props) => {
    const { onClick, label, disabled, hasMaterialUIStyle, linkStyle, hasBackIcon, } = props;
    const classes = Button_style_1.useStyles(props);
    if (linkStyle) {
        return (react_1.default.createElement(core_1.Box, { className: classes.linkWrapper },
            react_1.default.createElement("a", { className: classes.link, onClick: onClick },
                hasBackIcon && "←  ",
                label)));
    }
    if (hasMaterialUIStyle) {
        return (react_1.default.createElement(core_1.Box, { className: classes.materialUIButtonWrapper },
            react_1.default.createElement("button", { className: classes.materialUIButton, onClick: onClick, disabled: disabled }, label)));
    }
    return (react_1.default.createElement("button", { className: classes.button, onClick: onClick, disabled: disabled }, label));
};
exports.Button = Button;
//# sourceMappingURL=Button.js.map