"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_dom_1 = require("react-dom");
const core_1 = require("@material-ui/core");
const Modal_style_1 = require("../../containers/Modal/Modal.style");
const constants_1 = require("../../constants");
const contexts_1 = require("../../contexts");
const Modal = (props) => {
    const { children, closeCallback = () => { }, modalStyle = {} } = props;
    const { modalWidth, modalStatus } = contexts_1.useLayoutContext();
    const classes = Modal_style_1.useStyles({
        modalWidth,
    });
    // element to which the modal will be rendered
    const elementRef = react_1.useRef(document.createElement("div"));
    const modalRootRef = react_1.useRef(document.createElement("div"));
    react_1.useEffect(() => {
        const modalElm = document.getElementById(constants_1.WEB_UI_MODAL_ID_SELECTOR);
        //remove if there is already a modal opened
        if (modalElm) {
            modalElm.remove();
        }
        // initiate modal container
        modalRootRef.current.id = constants_1.WEB_UI_MODAL_ID_SELECTOR;
        document.body.appendChild(modalRootRef.current);
        // append to root when the children of Modal are mounted
        modalRootRef.current.appendChild(elementRef.current);
        // do a cleanup
        return () => {
            modalRootRef.current.removeChild(elementRef.current);
        };
    }, [modalWidth, modalStatus]);
    const closeModal = () => {
        closeCallback();
        modalRootRef.current.removeChild(elementRef.current);
    };
    return react_dom_1.createPortal(react_1.default.createElement(core_1.Box, { className: classes.container },
        react_1.default.createElement(core_1.Box, { className: classes.wrapper, style: modalStyle },
            react_1.default.createElement(core_1.Box, { className: classes.closeIcon, onClick: closeModal },
                react_1.default.createElement("img", { src: "https://res.cloudinary.com/dqueufbs7/image/upload/v1611371438/images/Close-512.png", width: "20" })),
            children)), elementRef.current);
};
exports.default = Modal;
//# sourceMappingURL=Modal.js.map