"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const core_1 = require("@material-ui/core");
const components_1 = require("../../components");
const hooks_1 = require("../../hooks");
const FundWidget_style_1 = require("../../widgets/FundWidget/FundWidget.style");
const FundWidget = ({ includeBoxWrapper, noLabel, bodyStyle, }) => {
    const { tokenSelectorOptions, selectedPaymentToken, setSelectedPaymentToken, depositFunds, mintTokens, amount, setAmount, error, } = hooks_1.useFund();
    const classes = FundWidget_style_1.useStyles({ error });
    const CustomBox = includeBoxWrapper ? components_1.BoxWrapper : core_1.Box;
    return (react_1.default.createElement(CustomBox, { className: classes.wrapper, label: !noLabel ? "FUND YOUR CHANNEL" : undefined, bodyStyle: bodyStyle },
        react_1.default.createElement(components_1.TokenSelector, { tokenSelectorOptions: tokenSelectorOptions, selectedPaymentToken: selectedPaymentToken, setSelectedPaymentToken: setSelectedPaymentToken }),
        react_1.default.createElement(components_1.TextInput, { label: "Amount", value: amount, onChange: setAmount }),
        react_1.default.createElement(components_1.Button, { onClick: depositFunds, disabled: !(selectedPaymentToken === null || selectedPaymentToken === void 0 ? void 0 : selectedPaymentToken.address), fullWidth: true, hasMaterialUIStyle: true, label: "Fund your Wallet" })));
};
exports.default = FundWidget;
//# sourceMappingURL=FundWidget.js.map