"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const core_1 = require("@material-ui/core");
const icons_1 = require("@material-ui/icons");
const PulseLoader_1 = __importDefault(require("react-spinners/PulseLoader"));
const hooks_1 = require("../../hooks");
const components_1 = require("../../components");
const MerchantsWidget = ({ includeBoxWrapper, noLabel, bodyStyle, }) => {
    const { merchantsMap, openMerchantIFrame, deauthorizeMerchant, loading, } = hooks_1.useMerchants();
    const CustomBox = includeBoxWrapper ? components_1.BoxWrapper : core_1.Box;
    if (loading) {
        return (react_1.default.createElement(CustomBox, { display: "flex", justifyContent: "center", alignItems: "center", height: 150 },
            react_1.default.createElement(PulseLoader_1.default, { color: "#b9b9b9", loading: true, size: 25 })));
    }
    return (react_1.default.createElement(CustomBox, { label: !noLabel ? "YOUR SERVICES" : undefined, bodyStyle: bodyStyle, hasEmptyState: [...merchantsMap.keys()].length === 0 && !loading, emptyState: react_1.default.createElement(components_1.EmptyState, { info: react_1.default.createElement(react_1.default.Fragment, null, "You don't have any authorized validators yet") }) },
        react_1.default.createElement(core_1.List, null, [...merchantsMap.keys()].map((merchantUrl, index) => (react_1.default.createElement(core_1.Box, { key: index },
            react_1.default.createElement(core_1.ListItem, null,
                react_1.default.createElement(core_1.ListItemAvatar, null,
                    react_1.default.createElement(core_1.Tooltip, { title: merchantsMap.get(merchantUrl)
                            ? "View merchant application"
                            : "Merchant is inactive", placement: "top" },
                        react_1.default.createElement(core_1.Avatar, { style: {
                                cursor: merchantsMap.get(merchantUrl)
                                    ? "pointer"
                                    : "auto",
                            }, onClick: () => {
                                merchantsMap.get(merchantUrl) &&
                                    openMerchantIFrame(merchantUrl);
                            } }, merchantsMap.get(merchantUrl) ? react_1.default.createElement(icons_1.Folder, null) : react_1.default.createElement(icons_1.Block, null)))),
                react_1.default.createElement(core_1.ListItemText, { primaryTypographyProps: {
                        color: merchantsMap.get(merchantUrl)
                            ? "textPrimary"
                            : "textSecondary",
                    }, primary: react_1.default.createElement(core_1.Tooltip, { title: merchantUrl, disableHoverListener: merchantUrl.length <= 40, placement: "top" },
                        react_1.default.createElement(core_1.Box, null, merchantUrl.length > 40
                            ? `${merchantUrl.substr(0, 40)}...`
                            : merchantUrl)) }),
                react_1.default.createElement(core_1.ListItemSecondaryAction, null,
                    react_1.default.createElement(core_1.Button, { size: "small", color: "secondary", onClick: () => {
                            deauthorizeMerchant(merchantUrl);
                        } }, "Deauthorize"))),
            index !== [...merchantsMap.keys()].length - 1 && (react_1.default.createElement(core_1.Divider, { variant: "inset" }))))))));
};
exports.default = MerchantsWidget;
//# sourceMappingURL=MerchantsWidget.js.map